# Uses of Class
javax.net.ServerSocketFactory

Packages that use ServerSocketFactory
Package
Description
javax.net
Provides classes for networking applications.
javax.net.ssl
Provides classes for the secure socket package.

## Uses of ServerSocketFactory in javax.net

Methods in javax.net that return ServerSocketFactory
Modifier and Type
Method
Description
`static ServerSocketFactory`
ServerSocketFactory.`getDefault()`
Returns a copy of the environment's default socket factory.

## Uses of ServerSocketFactory in javax.net.ssl

Subclasses of ServerSocketFactory in javax.net.ssl
Modifier and Type
Class
Description
`class`
`SSLServerSocketFactory`
`SSLServerSocketFactory`s create `SSLServerSocket`s.
Methods in javax.net.ssl that return ServerSocketFactory
Modifier and Type
Method
Description
`static ServerSocketFactory`
SSLServerSocketFactory.`getDefault()`
Returns the default SSL server socket factory.